## krb5

krb5

## Types and Values

#define | GSS_KRB5_S_G_BAD_SERVICE_NAME
#define | GSS_KRB5_S_G_BAD_STRING_UID
#define | GSS_KRB5_S_G_NOUSER
#define | GSS_KRB5_S_G_VALIDATE_FAILED
#define | GSS_KRB5_S_G_BUFFER_ALLOC
#define | GSS_KRB5_S_G_BAD_MSG_CTX
#define | GSS_KRB5_S_G_WRONG_SIZE
#define | GSS_KRB5_S_G_BAD_USAGE
#define | GSS_KRB5_S_G_UNKNOWN_QOP
#define | GSS_KRB5_S_KG_CCACHE_NOMATCH
#define | GSS_KRB5_S_KG_KEYTAB_NOMATCH
#define | GSS_KRB5_S_KG_TGT_MISSING
#define | GSS_KRB5_S_KG_NO_SUBKEY
#define | GSS_KRB5_S_KG_CONTEXT_ESTABLISHED
#define | GSS_KRB5_S_KG_BAD_SIGN_TYPE
#define | GSS_KRB5_S_KG_BAD_LENGTH
#define | GSS_KRB5_S_KG_CTX_INCOMPLETE
extern gss_OID | GSS_KRB5_NT_USER_NAME
extern gss_OID | GSS_KRB5_NT_HOSTBASED_SERVICE_NAME
extern gss_OID | GSS_KRB5_NT_PRINCIPAL_NAME
extern gss_OID | GSS_KRB5_NT_MACHINE_UID_NAME
extern gss_OID | GSS_KRB5_NT_STRING_UID_NAME

## Description

## Functions

## Types and Values

### GSS_KRB5_S_G_BAD_SERVICE_NAME

    # define GSS_KRB5_S_G_BAD_SERVICE_NAME 1

### GSS_KRB5_S_G_BAD_STRING_UID

    # define GSS_KRB5_S_G_BAD_STRING_UID 2

### GSS_KRB5_S_G_NOUSER

    # define GSS_KRB5_S_G_NOUSER 3

### GSS_KRB5_S_G_VALIDATE_FAILED

    # define GSS_KRB5_S_G_VALIDATE_FAILED 4

### GSS_KRB5_S_G_BUFFER_ALLOC

    # define GSS_KRB5_S_G_BUFFER_ALLOC 5

### GSS_KRB5_S_G_BAD_MSG_CTX

    # define GSS_KRB5_S_G_BAD_MSG_CTX 6

### GSS_KRB5_S_G_WRONG_SIZE

    # define GSS_KRB5_S_G_WRONG_SIZE 7

### GSS_KRB5_S_G_BAD_USAGE

    # define GSS_KRB5_S_G_BAD_USAGE 8

### GSS_KRB5_S_G_UNKNOWN_QOP

    # define GSS_KRB5_S_G_UNKNOWN_QOP 9

### GSS_KRB5_S_KG_CCACHE_NOMATCH

    # define GSS_KRB5_S_KG_CCACHE_NOMATCH 10

### GSS_KRB5_S_KG_KEYTAB_NOMATCH

    # define GSS_KRB5_S_KG_KEYTAB_NOMATCH 11

### GSS_KRB5_S_KG_TGT_MISSING

    # define GSS_KRB5_S_KG_TGT_MISSING 12

### GSS_KRB5_S_KG_NO_SUBKEY

    # define GSS_KRB5_S_KG_NO_SUBKEY 13

### GSS_KRB5_S_KG_CONTEXT_ESTABLISHED

    # define GSS_KRB5_S_KG_CONTEXT_ESTABLISHED 14

### GSS_KRB5_S_KG_BAD_SIGN_TYPE

    # define GSS_KRB5_S_KG_BAD_SIGN_TYPE 15

### GSS_KRB5_S_KG_BAD_LENGTH

    # define GSS_KRB5_S_KG_BAD_LENGTH 16

### GSS_KRB5_S_KG_CTX_INCOMPLETE

    # define GSS_KRB5_S_KG_CTX_INCOMPLETE 17

### GSS_KRB5_NT_USER_NAME

    extern gss_OID GSS_KRB5_NT_USER_NAME;

### GSS_KRB5_NT_HOSTBASED_SERVICE_NAME

    extern gss_OID GSS_KRB5_NT_HOSTBASED_SERVICE_NAME;

### GSS_KRB5_NT_PRINCIPAL_NAME

    extern gss_OID GSS_KRB5_NT_PRINCIPAL_NAME;

### GSS_KRB5_NT_MACHINE_UID_NAME

    extern gss_OID GSS_KRB5_NT_MACHINE_UID_NAME;

### GSS_KRB5_NT_STRING_UID_NAME

    extern gss_OID GSS_KRB5_NT_STRING_UID_NAME;